Subject: Re: [PATCH v2] doc: hint about GIT_DEBUGGER

From: Emily Shaffer <[email-masked]>
Date: Tue, 21 May 2019 11:19:43 -0700

On Tue, May 21, 2019 at 09:06:18AM -0700, Elijah Newren wrote:
> On Mon, May 20, 2019 at 6:01 PM Emily Shaffer <[email-masked]> wrote:
> >
> > We check for a handy environment variable GIT_DEBUGGER when running via
> > bin-wrappers/, but this feature is undocumented. Add a hint to how to
> > use it into the CodingGuidelines (which is where other useful
> > environment settings like DEVELOPER are documented).
> >
> 
> Two very minor nits:
> 
> > It looks like you can use GIT_DEBUGGER to pick gdb by default, or you
> 
> I think it'd sound better without 'It looks like'; perhaps drop that part?
> 
> > can hand it your own debugger if you like to use something else (or if
> > you want custom flags for gdb). Hopefully document that intent within
> > CodingGuidelines.
> 
> Maybe just leave out 'Hopefully'?
> 
> >
> > Signed-off-by: Emily Shaffer <[email-masked]>
> > ---
> >  Documentation/CodingGuidelines | 6 ++++++
> >  1 file changed, 6 insertions(+)
> >
> > diff --git a/Documentation/CodingGuidelines b/Documentation/CodingGuidelines
> > index 32210a4386..e99af36df9 100644
> > --- a/Documentation/CodingGuidelines
> > +++ b/Documentation/CodingGuidelines
> > @@ -412,6 +412,12 @@ For C programs:
> >     must be declared with "extern" in header files. However, function
> >     declarations should not use "extern", as that is already the default.
> >
> > + - You can launch gdb around your program using the shorthand GIT_DEBUGGER.
> > +   Run `GIT_DEBUGGER=1 ./bin-wrappers/git foo` to simply use gdb as is, or
> > +   run `GIT_DEBUGGER=my-debugger-binary my-args ./bin-wrappers/git foo` to
> > +   use your own debugger and arguments. Example: `GIT_DEBUGGER="ddd --gdb"
> > +   ./bin-wrappers/git log` (See `wrap-for-bin.sh`.)
> > +
> 
> Other than the minor nits above:
> Acked-by: Elijah Newren <[email-masked]>

Made both the changes you recommended; I'll hang onto it locally until
this afternoon in case anybody else has something to say. Thanks for
looking, Elijah.

 - Emily